<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <form action="" method="post" name="formulario" id="iformulario">
        <p>Nombre
            <input type="text" name="nombre" id="inombre">
        </p>
        <p>
         <!--   <input type="button" name="Submit" onclick="alert(formulario.nombre.value)" value="Aprietame">-->
         <input type="button" name="Submit" onclick="aprieta()" value="Aprietame">
        </p>
    </form>
    <script src="4.js"></script>
</body>
</html>